export default function(_this) {
  return {
    required: true,
    id: 'interview_yynl',
    title: '语言能力证明',
    get: {
      action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/${process.env.projectId}`,
      callback(data) {
        const { attachments = [], submission_stage: submissionStage = 'FILLING' } = data.data.material
        const stageList = [
          'FILLING',
          'PREPAYMENT',
          'INTERVIEW_APPLICATION',
          'AUDITION',
          'INTERVIEW',
          'PAYMENT',
          'REGISTRATION',
          'CLOSED'
        ]
        this.form.options.disabled = stageList.findIndex(item => item === submissionStage) > 2
        return attachments.reduce(
          (result, item) => {
            if (item.file_type_id === 'INTERNATIONAL_LANGUAGE_SCORE') {
              result.INTERNATIONAL_LANGUAGE_SCORE.push(item)
            }
            return result
          },
          { INTERNATIONAL_LANGUAGE_SCORE: [] }
        )
      }
    },
    form: {
      prev: { to: { query: { active: 'interview_cjd' } } },
      next: { to: { query: { active: 'interview_zp' } } },
      hasButton: false,
      options: { 'label-position': 'top' },
      hint: '可上传托福、雅思、多邻国、大学英语四六级成绩等',
      items: [
        {
          required: true,
          type: 'v-upload',
          model: 'INTERNATIONAL_LANGUAGE_SCORE',
          attrs: {
            action: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/put`,
            deleteAction: `${process.env.baseURL}/api/enrollment/v1.0/application-materials/attachments/${process.env.projectId}/delete`,
            data: { file_type: 'INTERNATIONAL_LANGUAGE_SCORE' }
          }
        }
      ]
    }
  }
}
